com.io7m.r2.core

## Class R2TransformContext

- java.lang.Object
- - com.io7m.r2.core.R2TransformContext

- All Implemented Interfaces:
    R2TransformContextType

      public final class R2TransformContext
      extends Object
      implements R2TransformContextType

  The default implementation of the `R2TransformContextType` interface.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.io7m.jtensors.MatrixM4x4F.ContextMM4F` | `contextMM4F()`
    `com.io7m.jtensors.parameterized.PMatrixM4x4F.ContextPM4F` | `contextPM4F()`
    `static R2TransformContextType` | `newContext()`
    `com.io7m.jtensors.Matrix4x4FType` | `temporaryMatrix4x4_0()`
    `com.io7m.jtensors.Matrix4x4FType` | `temporaryMatrix4x4_1()`
    `com.io7m.jtensors.Quaternion4FType` | `temporaryQuaternion()`
    `com.io7m.jtensors.Vector3FType` | `temporaryVector3()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newContext

          public static R2TransformContextType newContext()

      Returns:
        A new transform context

    - #### temporaryVector3

          public com.io7m.jtensors.Vector3FType temporaryVector3()

      Specified by:
        `temporaryVector3` in interface `R2TransformContextType`
      Returns:
        Preallocated storage for vectors

    - #### temporaryQuaternion

          public com.io7m.jtensors.Quaternion4FType temporaryQuaternion()

      Specified by:
        `temporaryQuaternion` in interface `R2TransformContextType`
      Returns:
        Preallocated storage for quaternions

    - #### contextPM4F

          public com.io7m.jtensors.parameterized.PMatrixM4x4F.ContextPM4F contextPM4F()

      Specified by:
        `contextPM4F` in interface `R2TransformContextType`
      Returns:
        Preallocated storage for mutable matrices

    - #### contextMM4F

          public com.io7m.jtensors.MatrixM4x4F.ContextMM4F contextMM4F()

      Specified by:
        `contextMM4F` in interface `R2TransformContextType`
      Returns:
        Preallocated storage for mutable matrices

    - #### temporaryMatrix4x4_0

          public com.io7m.jtensors.Matrix4x4FType temporaryMatrix4x4_0()

      Specified by:
        `temporaryMatrix4x4_0` in interface `R2TransformContextType`
      Returns:
        A reference to a temporary 4x4 matrix. Note that this matrix is not recreated on every call, and the returned matrix is shared between all callers of this function.

    - #### temporaryMatrix4x4_1

          public com.io7m.jtensors.Matrix4x4FType temporaryMatrix4x4_1()

      Specified by:
        `temporaryMatrix4x4_1` in interface `R2TransformContextType`
      Returns:
        A reference to a temporary 4x4 matrix. Note that this matrix is not recreated on every call, and the returned matrix is shared between all callers of this function.

Copyright © 2017 <code@io7m.com> http://io7m.com